<!--
  Generated template for the OnboardingPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-content>
	<page-nav-bar></page-nav-bar>
	<div class="themes-container">
		<div class="themes-content">
			
			<div class="header">
				<div class="filter">
			        <!-- <form (ngSubmit)="YouMethod()">
			          <input type="text" name="" placeholder='Buscar'>
			        </form> -->
			        <form [formGroup]="userForm" (ngSubmit)="searching(userForm.value, userForm.valid)">
			          <ion-list>
			            <ion-item>
			              <!-- <ion-label color="primary">Inline Label</ion-label> -->
			              <ion-input type="text" name="" placeholder='Buscar'  formControlName="text"></ion-input>
			            </ion-item>
			          </ion-list>
			          <!-- <input type="text" name="" placeholder='Buscar'> -->
			        </form>
			      </div>
			</div>
			<div class="message-no-result" *ngIf="message != ''">
				<h4>{{ message }}</h4>
			</div>
			<div class="results" *ngIf = "results?.length > 0">
				<div class="result" *ngFor="let result of results" >
					<div class="image">
						<img src="{{result.imagen}}">
					</div>
					<div class="content-result">
						<div class="title-result" (click)="goNode(result)">
							<h3>{{ result.title }}</h3>
							<strong>{{result.type_content}}</strong>
						</div>
						<div class="text" [innerHTML]="result.body">
							{{ result.body }}
						</div>
						<!-- <div class="resource-result">
							<a href="{{ result.enlace_url }}">{{ result.enlace_title }}</a>
						</div> -->
					</div>
				</div>
			</div>	
		</div>
	</div>
</ion-content>

